## Apache Zeta Components Manual :: Docs For Class ezcTranslationMissingTranslationFileException

### Translation::ezcTranslationMissingTranslationFileException

### Class ezcTranslationMissingTranslationFileException

Thrown when the translation file does not exist.

Source for this file: /Translation/src/exceptions/missing_translation_file.php

    Exception
       |
       --ezcBaseException
          |
          --ezcTranslationException
             |
             --ezcTranslationMissingTranslationFileException

Version: | //autogentag//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public void | `__construct( $fileName )` Constructs a new ezcTranslationMissingTranslationFileException.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

void __construct( string $fileName )

Constructs a new ezcTranslationMissingTranslationFileException.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$fileName` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3